tigase.xmpp.impl.roster

## Class RosterFactory

- java.lang.Object
- - tigase.xmpp.impl.roster.RosterFactory

-     public abstract class RosterFactory
      extends Object

  Describe class RosterFactory here. Created: Thu Sep 4 18:33:11 2008
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ROSTER_IMPL_PROP_KEY` Field description
    `static String` | `ROSTER_IMPL_PROP_VAL` Field description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RosterFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RosterAbstract` | `getRosterImplementation(boolean shared_impl)` Method description
    `static RosterAbstract` | `getRosterImplementation(String class_name, boolean shared_impl)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROSTER_IMPL_PROP_KEY

          public static final String ROSTER_IMPL_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### ROSTER_IMPL_PROP_VAL

          public static final String ROSTER_IMPL_PROP_VAL

      Field description

  - ### Constructor Detail

    - #### RosterFactory

          public RosterFactory()

  - ### Method Detail

    - #### getRosterImplementation

          public static RosterAbstract getRosterImplementation(boolean shared_impl)

      Method description
      Parameters:
        `shared_impl` -
      Returns:

    - #### getRosterImplementation

          public static RosterAbstract getRosterImplementation(String class_name,
                                               boolean shared_impl)
                                                        throws ClassNotFoundException,
                                                               InstantiationException,
                                                               IllegalAccessException

      Method description
      Parameters:
        `class_name` -
        `shared_impl` -
      Returns:
      Throws:
        `ClassNotFoundException`
        `IllegalAccessException`
        `InstantiationException`

Copyright © 2013 Tigase. All rights reserved.